[PATCH] Removed #define required for older driver

Jouni Malinen j at w1.fi
Thu May 15 11:42:18 EDT 2008


On Wed, May 14, 2008 at 01:47:19AM -0400, Pavel Roskin wrote:

> Your patch should have no effect for any version of MadWifi released in
> the last several years.  MADWIFI_NG is defined if
> IEEE80211_IOCTL_SETWMMPARAMS is defined, and it has been defined for a
> long time.

Well, there are number of madwifi-like driver releases and not all of
them are publicly available, so who knows what is out there..

> The patch would only affect madwifi-old-openhal (of anything are least
> remotely recent), but even that is obsoleted by ath5k.  I'd rather see
> all madwifi-old support removed from hostap and wpa_supplicant.

I would expect hostapd to be used with number of different madwifi
driver releases, so there may be some benefit from maintaining support
for different header files from the driver. Anyway, I would not be
strongly against removing these since I have no idea how much these old
header file types are tested.

As far as wpa_supplicant is concerned, driver_wext.c should be used with
current madwifi driver, so I don't see much need for cleaning up
driver_madwifi.c anymore.

-- 
Jouni Malinen                                            PGP id EFC895FA


More information about the HostAP mailing list